Subject: Bug#1110: Failed to start user mode OpenSSH server

From: Matthias Klettner <[email-masked]>
Date: Thu, 17 Nov 2016 09:54:10 +0100

Hi,

I have the same problem.

Specs:
Windows 10 Pro x64
German System Language
Latest X2go-Client V. 4.0.5.2 (Qt - 4.8.6)

Error message in Debug Mode:
Failed to start user mode OpenSSH server.

When I try to share a folder after connecting to a host, I get this message
in the debug console:
ssh-keygen succeeded.
QFSFileEngine::open: No file name specified

And a popup windows with something like this (translated from german):
SSH-Deamon couldn't open his public key.
You have activated Printer and Folder sharing.
For this feature, a proper SSH-server must be running.
Printer and Folder sharing are going to be disabled
The SSH-server is not properly configured.
Be sure the public key exists.
Normaly this message shouldn't popup, because x2go uses his own internal
ssh-server and creates all necessary keys itself.
------

Best regards,
Matthias